### Method

# Foundry BuildProgress await

#### Declaration [src]

    DexFuture*
    foundry_build_progress_await (
      FoundryBuildProgress* self
    )

#### Description [src]

Gets a `DexFuture` that will resolve when the progress has completed running.

#### Return value

Type: `DexFuture`

A `DexFuture`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.